/*
 * @Author: your name
 * @Date: 2021-05-14 09:30:59
 * @LastEditTime: 2021-05-14 16:20:51
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /react-antd-admin-template/src/api/checkItem.js
 */


import request from '@/utils/request'


//查核项结果弹窗列表
export function getCheckItemResultPopList(data) {
  return request({
    url: '/itemResult/list',
    method: 'get',
    params:{...data}
  })
}

//获取所有查核项列表 不分页，用于中间选择
export function getCheckItemListForSelect() {
    return request({
      url: '/checkItem/listAll',
      method: 'get',
    })
}

//编辑查核项弹窗结果列表
export function editCheckItemListForSelect(data) {
    return request({
      url: '/itemResult/editItemResult',
      method: 'post',
      data
    })
}

//新增查核项弹窗结果列表
export function addCheckItemListForSelect(data) {
    return request({
      url: '/itemResult/addCheckResult',
      method: 'post',
      data
    })
}

//删除查核项弹窗结果列表
export function delCheckItemListForSelect(data) {
    return request({
      url: '/itemResult/delItemResult',
      method: 'post',
      data
    })
}

//新增查核项查核属性
export function addCheckItemAttr(data) {
    return request({
      url: '/checkItemAttr/addItemAttr',
      method: 'post',
      data
    })
}

